# -*- mode: rpm-spec; mode: folding -*-
# vim: set ft=spec:
# vim600: set fdm=marker:

%define suff -UEfix

Name:         Herwig++
Version:      2.4.0
Release:      alt1

Summary:      Herwig++ is a C++ Monte Carlo event generator.
License:      GPL
Group:        Sciences/Physics
Url:	      http://projects.hepforge.org/herwig/

Source:	      %name-%{version}%{suff}.tar.gz
Source1:      herwig.png

BuildRequires: gcc-c++ gcc-g77 libgsl-devel
BuildRequires: ThePEG-devel

%description
%summary

%package devel
Summary: Herwig++ the C++ Monte Carlo event generator development files.
Group:   Development/C++
Requires: %name = %version-%release

%description devel
%summary devel

%package gui
Summary: Herwig++ the C++ Monte Carlo event generator GUI.
Group:   Sciences/Physics
Requires: %name = %version-%release

%description gui
%summary gui

%prep
%setup -q -n %name-%{version}%{suff}

subst s,/lib/ThePEG,/%_lib/ThePEG, m4/herwig.m4
subst s,/lib/ThePEG,/%_lib/ThePEG, configure

%build
autoreconf -fisv
%configure --with-thepeg=%_prefix
%make 

%install
export LD_LIBRARY_PATH=%_libdir/ThePEG
%makeinstall_std

pushd %buildroot%_bindir
for i in *; do
    sed -i s,%buildroot,,g $i
done
popd

install -D -m755 %{SOURCE1} %buildroot%_liconsdir/herwig.png

mkdir -p %buildroot%_desktopdir
cat > %buildroot%_desktopdir/%name.desktop << 'EOF'
[Desktop Entry]
Terminal=true
Icon=herwig
Type=Application
Categories=Education;Science;Physics;
Exec=Herwig++
Name=Herwig++
EOF

%files
%_bindir/Herwig++
#%dir %_datadir/Herwig++
#%dir %_libdir/Herwig++
%_datadir/Herwig++
%_libdir/Herwig++
%exclude %_libdir/Herwig++/*.so
%exclude %_libdir/Herwig++/*.la
%_liconsdir/herwig.png
%_desktopdir/%name.desktop

%files devel
%_bindir/herwig-config
%_includedir/Herwig++
%_libdir/Herwig++/*.so
%_libdir/Herwig++/*.la

%changelog
* Thu Oct 22 2009 Igor Vlasenko <viy@altlinux.ru> 2.4.0-alt1
- first build for Sisyphus
